#ifndef COMBATINFO_HPP_INCLUDED
#define COMBATINFO_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include "LinkedList.hpp"
#include "HealthInfo.hpp"

namespace Internal
{
    class CombatInfo : public Node
    {
        public:
            CombatInfo(const void* Obj);

            CombatInfo() = default;
            CombatInfo(CombatInfo&& Obj) = default;
            CombatInfo(const CombatInfo& Obj) = default;
            CombatInfo& operator=(CombatInfo&& Obj) = default;
            CombatInfo& operator=(const CombatInfo& Obj) = default;

            static Class GetClass();

            LinkedList GetHealthBar() const;
            HealthInfo GetHealthInfo() const;

    };
}

#endif // COMBATINFO_HPP_INCLUDED
